package models

import "testing"

func TestPostReference_TableName(t *testing.T) {
	type fields struct {
		PostID         string
		SourceID       string
		URL            string
		SourcePostID   string
		FullFileURL    string
		PreviewFileURL string
		SampleFileURL  string
	}
	tests := []struct {
		name   string
		fields fields
		want   string
	}{
		{
			name:   "Test 1: PostReference",
			fields: fields{},
			want:   "PostReference",
		},
	}
	for _, tt := range tests {
		t.Run(tt.name, func(t *testing.T) {
			po := PostReference{
				PostID:   tt.fields.PostID,
				SourceID: tt.fields.SourceID,
				URL:      tt.fields.URL,
				PostReferenceConfig: PostReferenceConfig{
					SourcePostID:   tt.fields.SourcePostID,
					FullFileURL:    tt.fields.FullFileURL,
					PreviewFileURL: tt.fields.PreviewFileURL,
					SampleFileURL:  tt.fields.SampleFileURL,
				},
			}
			if got := po.TableName(); got != tt.want {
				t.Errorf("TableName() = %v, want %v", got, tt.want)
			}
		})
	}
}
